import { h, Host } from '@stencil/core';
/**
 * @slot default - any content that should show up in the body of the modal
 */
export class BsModalBody {
  render() {
    return (h(Host, { class: "modal-body" }, h("slot", null)));
  }
  static get is() { return "bs-modal-body"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-modal-body.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-modal-body.css"]
    };
  }
}
//# sourceMappingURL=bs-modal-body.js.map
