import { h, Host } from '@stencil/core';
/**
 * @slot default - footer content, usually a collection of buttons
 */
export class BsModalFooter {
  render() {
    return (h(Host, { class: "modal-footer" }, h("slot", null)));
  }
  static get is() { return "bs-modal-footer"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-modal-footer.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-modal-footer.css"]
    };
  }
}
//# sourceMappingURL=bs-modal-footer.js.map
