import { p as promiseResolve, b as bootstrapLazy } from './index-a736066d.js';
export { s as setNonce } from './index-a736066d.js';

/*
 Stencil Client Patch Esm v3.2.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["bs-collapse",[[1,"bs-collapse",{"name":[1],"collapseId":[1,"collapse-id"],"arrowPosition":[1,"arrow-position"],"groupId":[1,"group-id"],"isOpen":[1028,"is-open"]},[[4,"bsCollapseToggled","collapseOthers"]]]]],["bs-button",[[1,"bs-button",{"variant":[1],"type":[1],"size":[1],"href":[1],"block":[4],"disabled":[4],"active":[4],"iconLeft":[1,"icon-left"],"iconRight":[1,"icon-right"]},[[0,"click","submitForm"]]]]],["bs-carousel",[[4,"bs-carousel",{"controls":[4],"indicators":[4],"pauseOnHover":[4,"pause-on-hover"],"autoplay":[4],"autoplayInterval":[2,"autoplay-interval"],"itemsToShow":[2,"items-to-show"],"swipe":[4],"animation":[1],"speed":[2],"userPaused":[32],"pause":[64],"play":[64]}]]],["bs-modal",[[1,"bs-modal",{"show":[4],"static":[4],"backdrop":[4],"animation":[4],"width":[2],"scrollable":[4],"centered":[4],"showModal":[32],"showDialog":[64],"closeDialog":[64],"hideDialog":[64]}]]],["bs-pagination",[[1,"bs-pagination",{"size":[1],"align":[1],"label":[1],"controlled":[4],"page":[2],"pageCount":[2,"page-count"],"maxVisiblePages":[2,"max-visible-pages"],"currentPage":[32],"setPageTo":[64]}]]],["bs-form-control_2",[[1,"bs-form-control",{"as":[1],"htmlSize":[2,"html-size"],"size":[1],"readOnly":[4,"read-only"],"disabled":[4],"value":[8],"type":[1],"controlId":[1,"control-id"],"isValid":[4,"is-valid"],"isInvalid":[4,"is-invalid"],"name":[1],"placeholder":[1],"required":[4],"pattern":[1]}],[1,"bs-form-group",{"controlId":[8,"control-id"],"md":[2],"stack":[4]}]]],["bs-alert",[[1,"bs-alert",{"variant":[1],"show":[4],"transition":[8],"dismissible":[4],"closeLabel":[1,"close-label"],"removeOnClose":[4,"remove-on-close"],"closing":[32]}]]],["bs-badge",[[1,"bs-badge",{"variant":[1],"pill":[4],"href":[1]}]]],["bs-breadcrumb",[[1,"bs-breadcrumb",{"href":[1],"linkTitle":[1,"link-title"],"active":[4],"target":[1]}]]],["bs-breadcrumbs",[[1,"bs-breadcrumbs",{"separator":[1],"ariaLabel":[1,"aria-label"]}]]],["bs-button-group",[[1,"bs-button-group",{"ariaLabel":[1,"aria-label"],"size":[1],"role":[1],"vertical":[4]}]]],["bs-card-footer",[[1,"bs-card-footer"]]],["bs-card-image",[[1,"bs-card-image"]]],["bs-dropdown",[[1,"bs-dropdown",{"placement":[1],"show":[4],"caret":[4],"split":[4],"hideOnClickOutside":[4,"hide-on-click-outside"],"_visible":[32],"_caretPosition":[32],"showDropdown":[64],"hideDropdown":[64],"toggleDropdown":[64]}]]],["bs-form-check",[[1,"bs-form-check",{"type":[1],"controlId":[1,"control-id"],"checked":[1028],"name":[1],"inline":[4],"disabled":[4],"value":[8],"size":[2]}]]],["bs-form-check-group",[[4,"bs-form-check-group",{"value":[1032]}]]],["bs-form-file",[[1,"bs-form-file",{"fileId":[1,"file-id"],"disabled":[4],"accept":[1],"label":[1],"internalLabel":[32]}]]],["bs-form-label",[[1,"bs-form-label",{"htmlFor":[1,"html-for"],"srcOnly":[4,"src-only"],"column":[8]}]]],["bs-form-row",[[1,"bs-form-row"]]],["bs-list-group",[[1,"bs-list-group",{"horizontal":[8],"flush":[4]}]]],["bs-list-group-item",[[1,"bs-list-group-item",{"role":[1],"active":[4],"disabled":[4],"actionable":[4],"bgColor":[1,"bg-color"]}]]],["bs-modal-body",[[1,"bs-modal-body"]]],["bs-modal-footer",[[1,"bs-modal-footer"]]],["bs-modal-header",[[1,"bs-modal-header",{"modalTitle":[1,"modal-title"],"closeButton":[4,"close-button"],"closeLabel":[1,"close-label"]}]]],["bs-nav",[[1,"bs-nav",{"vertical":[4],"fill":[4],"justify":[4],"role":[1],"listRole":[1,"list-role"],"variant":[1]}]]],["bs-nav-item",[[1,"bs-nav-item",{"active":[4],"disabled":[4],"href":[1],"role":[1],"variant":[1]}]]],["bs-spinner",[[1,"bs-spinner",{"animation":[1],"variant":[1],"size":[1],"loadingText":[1,"loading-text"],"role":[1]}]]],["bs-toast",[[1,"bs-toast",{"name":[1],"message":[1],"position":[1],"gravity":[1],"show":[4],"autohide":[4],"delay":[2],"href":[1],"newWindow":[4,"new-window"],"canClose":[4,"can-close"],"hasOpened":[32],"delayRemove":[32],"toastOpen":[64],"toastClose":[64]}]]],["bs-tooltip",[[1,"bs-tooltip",{"placement":[1],"show":[4],"tooltipContent":[1,"tooltip-content"],"_visible":[32],"showTooltip":[64],"hideTooltip":[64],"toggleTooltip":[64]}]]],["bs-modal-dialog",[[1,"bs-modal-dialog",{"width":[2],"scrollable":[4],"centered":[4]}]]],["bs-page-item",[[1,"bs-page-item",{"size":[1],"active":[4],"disabled":[4],"href":[1],"activeLabel":[1,"active-label"]}]]],["bs-card-body",[[1,"bs-card-body"]]],["bs-card_2",[[1,"bs-card",{"variant":[1],"body":[4]}],[1,"bs-card-header"]]],["bs-icon",[[1,"bs-icon",{"icon":[1],"size":[2],"loadOnScrollTo":[4,"load-on-scroll-to"],"scrollMargin":[1,"scroll-margin"],"iconDetails":[32],"visible":[32]}]]]], options);
  });
};

export { defineCustomElements };

//# sourceMappingURL=loader.js.map