import { Color } from '../../shared/types';
export declare class BsListGroupItem {
  /**
   * The role lof the items for accessibility
   */
  role: string;
  /**
   * Active state view of list
   */
  active: boolean;
  /**
   * The disabled view of list
   */
  disabled: boolean;
  /**
   * The item is clickable
   */
  actionable: boolean;
  /**
   * Specify the list item's background color
   */
  bgColor: Color;
  render(): any;
}
