import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @slot default - optional, custom content to display in the header
 */
export declare class BsModalHeader {
  /**
   * the title of the modal
   */
  modalTitle: string;
  /**
   * whether the modal header should contain a close button
   */
  closeButton: boolean;
  /**
   * an accessible label for the close button
   */
  closeLabel: string;
  /**
   * an event triggered when the close button is clicked.
   */
  close: EventEmitter;
  render(): any;
}
