export type ServiceType = 'data' | 'doc' | 'alert' | 'data-in-action' | 'data-release' | 'faq' | 'glossary' | 'howto' | 'image' | 'news' | 'service-release' | 'tool' | 'publication' | 'download';
export type ServiceConfig = {
  type: string;
  description: string;
  icon: string;
};
export type Variant = 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'dark' | 'light' | string;
export type ButtonVariant = Variant | 'link' | 'outline-primary' | 'outline-secondary' | 'outline-success' | 'outline-danger' | 'outline-warning' | 'outline-info' | 'outline-dark' | 'outline-light';
export type Color = 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'dark' | 'light' | 'white' | 'muted';
export type Transition = 'fade' | 'collapse';
