import { h, Host } from '@stencil/core';
export class BsCard {
  constructor() {
    this.variant = undefined;
    this.body = false;
  }
  render() {
    return (h(Host, null, this.body ? (h("bs-card-body", null, h("slot", null))) : (h("slot", null))));
  }
  static get is() { return "bs-card"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-card.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-card.css"]
    };
  }
  static get properties() {
    return {
      "variant": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "Variant",
          "resolved": "string",
          "references": {
            "Variant": {
              "location": "import",
              "path": "../../shared/types"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "variant",
        "reflect": false
      },
      "body": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "body",
        "reflect": false,
        "defaultValue": "false"
      }
    };
  }
}
//# sourceMappingURL=bs-card.js.map
