import { Host, h } from '@stencil/core';
export class BsFormGroup {
  constructor() {
    this.controlId = undefined;
    this.md = 12;
    this.stack = true;
  }
  render() {
    return (h(Host, { class: `form-group col-md-${this.md ? this.md : ''} ${!this.stack ? 'horizontal' : ''}` }, h("slot", null)));
  }
  static get is() { return "bs-form-group"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["bs-form-group.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["bs-form-group.css"]
    };
  }
  static get properties() {
    return {
      "controlId": {
        "type": "any",
        "mutable": false,
        "complexType": {
          "original": "any",
          "resolved": "any",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "control-id",
        "reflect": false
      },
      "md": {
        "type": "number",
        "mutable": false,
        "complexType": {
          "original": "number",
          "resolved": "number",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "md",
        "reflect": false,
        "defaultValue": "12"
      },
      "stack": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "stack",
        "reflect": false,
        "defaultValue": "true"
      }
    };
  }
}
//# sourceMappingURL=bs-form-group.js.map
