import { ButtonVariant } from '../../shared/types';
export type ButtonType = 'button' | 'reset' | 'submit' | string;
export type ButtonSize = 'sm' | 'lg';
export declare class BsButton {
  variant: ButtonVariant;
  type: ButtonType;
  size: ButtonSize;
  href: string;
  block: boolean;
  disabled: boolean;
  active: boolean;
  iconLeft: string;
  iconRight: string;
  el: HTMLElement;
  submitForm(event: Event): void;
  render(): any;
}
