import { EventEmitter } from '../../stencil-public-runtime';
export declare class BsFormFile {
  /**
   * The id of the element
   */
  fileId: string;
  /**
   *  the disabled flag for the file input
   */
  disabled: boolean;
  /**
   * The kinds of files accepted constraints
   */
  accept: string;
  /**
   *  The label or placeholder of the file
   */
  label?: string;
  /**
   * The internal label state on value changed
   */
  internalLabel: string;
  /**
   * The onInput event emitted on value changed
   */
  bsInput: EventEmitter<KeyboardEvent>;
  handleChange(event: any): void;
  componentDidLoad(): void;
  render(): any;
}
